Create repository
curl --request POST \
--url https://hub.oxen.ai/api/repos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "A repository for image classification",
"name": "Cat-Dog-Classifier",
"namespace": "ox",
"user": {
"email": "bessie@oxen.ai",
"name": "bessie"
}
}
'import requests
url = "https://hub.oxen.ai/api/repos"
payload = {
"description": "A repository for image classification",
"name": "Cat-Dog-Classifier",
"namespace": "ox",
"user": {
"email": "bessie@oxen.ai",
"name": "bessie"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: 'A repository for image classification',
name: 'Cat-Dog-Classifier',
namespace: 'ox',
user: {email: 'bessie@oxen.ai', name: 'bessie'}
})
};
fetch('https://hub.oxen.ai/api/repos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata_entries": [
{
"content_hash": "a1b2c3d4e5f678902e41",
"data_type": "image",
"file_size": 1024000,
"path": "data/images/cow.jpg"
}
],
"repository": {
"latest_commit": {
"author": "ox",
"email": "ox@example.com",
"id": "a1b2c3d4e5f678902e41",
"message": "Initial dataset import.",
"parent_ids": [
"f1e2d3c4b5a67890fedc"
],
"timestamp": "2025-01-01T10:00:00Z"
},
"name": "ImageNet-1k",
"namespace": "ox"
},
"status": "success",
"status_message": "resource_created"
}Repositories
Create repository
Create a new repository, optionally with initial files via JSON or multipart form.
POST
/
api
/
repos
Create repository
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Repository creation payload (JSON or Multipart)
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
{
"author": "ox",
"email": "ox@example.com",
"id": "a1b2c3d4e5f67890abcdef1234567890",
"message": "Refactor data loading pipeline.",
"parent_ids": ["f1e2d3c4b5a67890fedcba9876543210"],
"timestamp": "2025-01-01T10:00:00Z"
}
Show child attributes
Show child attributes
Response
Repository created
Show child attributes
Show child attributes
Example:
{
"latest_commit": {
"author": "ox",
"email": "ox@example.com",
"id": "a1b2c3d4e5f67890abcdef1234567890",
"message": "Initial dataset import.",
"parent_ids": ["f1e2d3c4b5a67890fedcba9876543210"],
"timestamp": "2025-01-01T10:00:00Z"
},
"name": "ImageNet-1k",
"namespace": "ox"
}
Show child attributes
Show child attributes
⌘I